.modal {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  
    background-color: rgba(0, 0, 0, 0.5);
  
    font-size: 0;
    text-align: center;
    white-space: nowrap;
    overflow: auto;
  
    z-index: 999;
  }
  
  .modal.show {
    display: block;
  }
  
  .modal:after {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
  }
  
  .modal-wrap {
    display: inline-block;
    vertical-align: middle;
  
    font-size: 14px;
    text-align: left;
    white-space: normal;
  }
  
  .modal-content-wrap {
    background-color: #fff;
    overflow: hidden;
  
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .modal-icon-wrap {
    margin-top: 40px;
  }
  
  .modal-icon {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .modal-footer a {
    display: inline-block;
    text-decoration: none;
    text-align: center;
  }